org.eclipse.gef4.zest.core.widgets

## Class DefaultSubgraph.PrunedSuccessorsSubgraphFactory

- java.lang.Object
- - org.eclipse.gef4.zest.core.widgets.DefaultSubgraph.PrunedSuccessorsSubgraphFactory

All Implemented Interfaces:
  SubgraphFactory

Enclosing class:
  DefaultSubgraph

    public static class DefaultSubgraph.PrunedSuccessorsSubgraphFactory
    extends java.lang.Object
    implements SubgraphFactory

Factory for `PrunedSuccessorsSubgraph`. It creates one subgraph for a whole graph and throws every node into it.

### Constructor Summary

Constructors
Constructor and Description
`DefaultSubgraph.PrunedSuccessorsSubgraphFactory()`

### Method Summary

Methods
`org.eclipse.gef4.layout.interfaces.SubgraphLayout` `createSubgraph(org.eclipse.gef4.layout.interfaces.NodeLayout[] nodes, org.eclipse.gef4.layout.interfaces.LayoutContext context)`
`void` `updateLabelForNode(org.eclipse.gef4.zest.core.widgets.InternalNodeLayout node)` Updates a label for given node (creates the label if necessary).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultSubgraph.PrunedSuccessorsSubgraphFactory

    public DefaultSubgraph.PrunedSuccessorsSubgraphFactory()

### Method Detail

#### createSubgraph

    public org.eclipse.gef4.layout.interfaces.SubgraphLayout createSubgraph(org.eclipse.gef4.layout.interfaces.NodeLayout[] nodes,
                                                                   org.eclipse.gef4.layout.interfaces.LayoutContext context)

Specified by:
  `createSubgraph` in interface `SubgraphFactory`

#### updateLabelForNode

    public void updateLabelForNode(org.eclipse.gef4.zest.core.widgets.InternalNodeLayout node)

Updates a label for given node (creates the label if necessary).

Parameters:
  `node` - node to update